class CreateStockLines < ActiveRecord::Migration[6.0]
  def change
    create_table :stock_lines do |t|
      t.references :stock_block, foreign_key: true
      t.decimal :ct_price_u_ht
      t.decimal :cc_price_u_ht
      t.decimal :ac_price_u_ht
      t.decimal :qte
      t.decimal :ct_price_tot_ht
      t.decimal :cc_price_tot_ht
      t.decimal :ac_price_tot_ht
      
      
      t.decimal :abs_qte
      
      t.decimal :abs_price_u_ht
      t.decimal :abs_price_tot_ht
         
      t.integer :admin_id
      
      t.string :movement_type, :default => "cred"
      t.boolean :accounting, :default => false

      t.timestamps
    end
  end
end
